Bug 844433 - Internal Server Error when trying to clone a channel locally created in my organisation, but with a parent channel shared by Spacewalk Default Organization
Internal Server Error when trying to clone a channel locally created in my or...
Status: CLOSED CURRENTRELEASE
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
1.7
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Tomas Lestach
Red Hat Satellite QA List
:
Depends On:
Blocks: space18
  Show dependency treegraph
 
Reported: 2012-07-30 11:35 EDT by François BORIE
Modified: 2012-11-01 12:19 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-11-01 12:19:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description François BORIE 2012-07-30 11:35:47 EDT
Description of problem:

My spacewalk server is using multi-organizations. 
The spacewalk default organization creates, owns and shares to other orgs main channels.  
When a custom organization creates its own child channel, under a SHARED parent channel, all is working fine. 
But when trying to clone this specific channel, the WEB-UI throws an error "Internal Server Error".
Looking for the bug report sent by email, I get : 
Error message:
  illegal parent id at /usr/share/perl5/vendor_perl/Sniglets/ChannelEditor.pm line 96.

Using the API (channel.software.clone) to do this produces the same kind of result : it throws an error for the parent channel given in parameter -> 

redstone.xmlrpc.XmlRpcFault: No such channel: cha-rhel-5-i686

Version-Release number of selected component (if applicable):
Spacewalk 1.7

How reproducible:
Always

Steps to Reproduce:
1. Create and share parent / child channels from Spacewalk Default organization to other orgs
2. From a custom org, create a specific child channel under a shared parent channel
3. Try to clone this specific child channel
  
Actual results:
On web UI -> internal server error
With API call -> no such channel (concerning the parent one)

Expected results:
Clone is done successfully, cloned child channel is linked to the shared parent channel

Additional info:
Comment 1 Tomas Lestach 2012-10-12 10:39:22 EDT
spacewalk.git: d50912ad194b5cc7ed0413c38659263c4b926d89
Comment 2 Jan Pazdziora 2012-10-30 15:24:23 EDT
Moving ON_QA. Packages that address this bugzilla should now be available in yum repos at http://yum.spacewalkproject.org/nightly/
Comment 3 Jan Pazdziora 2012-11-01 12:19:41 EDT
Spacewalk 1.8 has been released: https://fedorahosted.org/spacewalk/wiki/ReleaseNotes18

Note You need to log in before you can comment on or make changes to this bug.